marking4/mk-postfix
changeset 329 8a34b2ebc8cc
parent 257 ba4d976ca88d
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/marking4/mk-postfix	Mon Jan 27 10:18:13 2020 +0000
@@ -0,0 +1,25 @@
+#!/bin/sh
+###set -e
+
+trap "exit" INT
+
+files=${1:-assignment2019-*/Part8/*}
+
+for sd in $files; do
+  cd $sd
+  echo $sd
+  touch .
+  cp ../../../../../marking4/postfix_test.sh .
+  cp ../../../../../marking4/postfix_test7.scala .
+  cp ../../../../../marking4/postfix_test8.scala .
+  cp ../../../../../marking4/postfix_test9.scala .
+  ./postfix_test.sh output
+  rm postfix_test.sh
+  rm postfix_test7.scala
+  rm postfix_test8.scala
+  rm postfix_test9.scala
+  cd ..
+  cd ..
+done
+
+